package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.DataPermissionInfo;
import com.qmth.distributed.print.business.entity.BasicRoleDataPermission;

import java.util.List;

/**
 * @Description: 角色数据权限服务接口
 * @Author: CaoZixuan
 * @Date: 2022-12-06
 */
public interface BasicRoleDataPermissionService extends IService<BasicRoleDataPermission> {

    /**
     * 新增角色数据权限设置
     * @param roleId 角色id
     * @param dataPermissionInfoList 角色数据权限集合
     */
    void saveRoleDataPermission(Long roleId, List<DataPermissionInfo> dataPermissionInfoList);


}
